import SDKAdapter from '../../core/adapter.js';
import { SDKModel } from '../../core/model.js';
import { ExternalComponentModel } from './external-components.js';
export class Forms extends SDKAdapter {
    async fetch() {
        return this.search();
    }
    /** Searches for tenants through inventory api request */
    async search() {
        const response = (await this.sdk.fetchJSON(`${this.sdk.formsBackend.replace('{region}', this.sdk.auth.tenant.getRegionCode())}/api/entities/filter`, {
            method: 'POST',
            headers: {
                Authorization: `Bearer ${this.sdk.accessToken}`
            },
            cache: 'no-cache',
            body: JSON.stringify({
                Page: 1,
                PageSize: 1000,
                WhereEntityStatus: 1
            })
        }));
        return response === null || response === void 0 ? void 0 : response.Items.map((item) => ({
            id: item.Entity.Id,
            name: item.Entity.Name,
            thumbnail: item.PreviewImageUrl,
            siteNames: item.SiteNames
        }));
    }
}
export class FormModel extends SDKModel {
    get adapter() {
        return this.sdk.Forms;
    }
    static onCollectionChange(forms) {
        ExternalComponentModel.setForms(forms);
        ExternalComponentModel.updateComponents(forms.construct().sdk.renderingHost.registeredComponents, forms.construct().sdk.renderingHost.expandedComponents);
        return forms;
    }
}
//# sourceMappingURL=forms.js.map