import type { Unformatted } from '../utils/value.js'
import type { Details } from './details.js'
import type { Props } from './props.js'

import { TypeDefinitions, TypesByCategory } from './definition.js'

export namespace Type {
  export type Basic = TypesByCategory['basic']
  export type Aspect = TypesByCategory['aspect']
  export type Element = TypesByCategory['element']
  export type Concept = TypesByCategory['concept']
  export type ElementAspect<T extends Element = Element> = (typeof TypeDefinitions)[T]['aspects'][number]

  export type ElementHasAspect<E extends Element, A extends Aspect> = E extends any
    ? A extends (typeof TypeDefinitions)[E]['aspects'][number]
      ? E
      : never
    : never

  export type ElementWithAspect<A extends Aspect> = ElementHasAspect<Type.Element, A>
}
export type Type = keyof typeof TypeDefinitions

export interface UnformattedRule<T extends Type = Type> {
  details?: Partial<Details>
  props?: Unformatted<Props[T]>
  type: Type
}
