import { Optional } from '../utils/typescript.js';
import type { SDKModel, SDKModelSubclass } from './model.js';
export interface SDKSchema<M, I> {
    definitions?: Record<string, any>;
    properties: Partial<{
        [key in keyof I]: any;
    }>;
    required?: (keyof I)[];
    type: 'object' | 'array' | 'null' | 'string' | 'number' | 'boolean';
    description: string;
}
export type SDKSchemaType<T> = T extends SDKModelSchema<any, infer I> ? I : never;
export interface SDKModelSchema<M extends SDKModelSubclass, I> extends SDKSchema<M, I> {
}
export declare class SDKModelSchema<M extends SDKModelSubclass, I = M extends (...args: any[]) => SDKModel<infer I, any, any> ? I : never> {
    model: M;
    constructor(model: M, schema: any);
    mergeDefinitions(): Record<string, any>;
    optional<Props extends (keyof I)[]>(props: Props): SDKModelSchema<M, Optional<I, Props[number]>>;
    exclude<Props extends (keyof I)[]>(props: Props): SDKModelSchema<M, Optional<I, Props[number]>>;
    merge(props: Partial<SDKSchema<any, any>>): SDKModelSchema<M, M extends (...args: any[]) => SDKModel<infer I_1, any, any> ? I_1 : never>;
    addProperties<C extends Record<string, any>>(properties: C): SDKModelSchema<M, Omit<this, "properties"> & {
        properties: Partial<{ [key in keyof I & keyof C]: any; }>;
    }>;
    array(): SDKModelSchema<M, I>;
    generate(schema?: any): any;
}
//# sourceMappingURL=schema.d.ts.map