import SDKAdapter from '../../core/adapter.js';
import { SDKModel } from '../../core/model.js';
import { Datasource } from '../datasources.js';
import { SDKCollection } from '../../core/collection.js';
export interface Form {
    id: string;
    name: string;
}
export interface IGetFormsResponse {
    Items: {
        Entity: {
            Id: string;
            Name: string;
        };
        PreviewImageUrl: string;
        SiteNames: string[];
    }[];
}
export interface FormParams extends Form {
    datasources: Datasource[];
}
export interface FormModel extends FormParams {
}
export declare class Forms extends SDKAdapter<Form> {
    fetch(): Promise<Form[]>;
    /** Searches for tenants through inventory api request */
    search(): Promise<Form[]>;
}
export declare class FormModel extends SDKModel<Form> implements FormParams {
    get adapter(): Forms;
    static onCollectionChange(forms: SDKCollection<typeof FormModel>): SDKCollection<typeof FormModel, FormModel, Form, Form & Partial<Partial<Form>>, {
        id: string;
    } | {
        details: {
            id: string;
        };
    } | {
        id: string;
        revision: number;
        status: "published" | "draft" | "staged" | "saved";
    }>;
}
//# sourceMappingURL=forms.d.ts.map