import { DatasourceModel } from '../datasources.js';
import { Library } from '../libraries.js';
import { Tenant } from './tenants.js';
import { SDKModel } from '../../core/model.js';
export interface Field {
    name: string;
    type: string;
}
export interface XmTemplate {
    templateId?: string;
    fullName?: string;
    description?: string;
    fields?: {
        nodes: Field[];
    };
}
export interface XmTemplateParams extends XmTemplate {
}
export interface XmTemplateModel extends XmTemplateParams {
}
export declare class XmTemplateModel extends SDKModel<XmTemplate> implements XmTemplate {
    static templateToDatasource(template: XmTemplate, libraryId: Library['id'], tenantName: Tenant['name']): DatasourceModel;
    static generateSampleFromDefinition(definition: Field[]): DatasourceModel['sample'];
    static fetchAndFormatSample(datasource: DatasourceModel, tenantName: string, sitecoreUrlPostfix: string, authorization: string): Promise<Record<string, any>>;
}
//# sourceMappingURL=xm-templates.d.ts.map