import type { Optional, Unformatted } from '../index.js';
import type * as Style from './index.js';
import { TypeDefinitions } from './definition.js';
export interface Details {
    id: string;
    title: string;
    collectionId?: string;
    slug?: string;
    description?: string;
    exampleContent?: any;
    elementId?: string;
    instanceId?: string;
    isDefault?: boolean;
    isHidden?: boolean;
    isInternal?: boolean;
    override?: string;
}
export type AspectForm<T extends Style.Type.ElementAspect = Style.Type.ElementAspect> = (typeof TypeDefinitions)[T]['forms'];
export type Form<P extends any = any> = {
    id: string;
    label: string;
    extractProperties: (props: P) => Partial<P>;
    validate: (props: Partial<P>) => boolean;
    fieldset?: any;
};
export type FormsByAspect<T extends Style.Type.ElementAspect = Style.Type.ElementAspect> = {
    [key in T]: (typeof Style.TypeDefinitions)[key]['forms'][number];
};
export declare const DetailsForm: Style.Form;
export declare const OverrideForm: Style.Form;
export declare function Details(details: Unformatted<Optional<Details, 'title' | 'description' | 'id'>>): {
    description: string | number | object;
    title: string | number | object;
    id: string | number | object;
    isDefault?: string | number | boolean | object;
    override?: string | number | object;
    collectionId?: string | number | object;
    slug?: string | number | object;
    exampleContent?: any;
    elementId?: string | number | object;
    instanceId?: string | number | object;
    isHidden?: string | number | boolean | object;
    isInternal?: string | number | boolean | object;
};
//# sourceMappingURL=details.d.ts.map