import type * as Style from '../index.js';
/** Return human readable label for given element */
export declare function getContextLabel(context: Style.Context): string;
/** Extract element name from a class name */
export declare function getContextImplicitName(context: Style.Context): string;
/** Guess HTML element's name by matching its tag name with the mapping of text and structural tags */
export declare function getContextTagName(context: Style.Context): string;
export declare function getInstanceId(context: Style.Context): string;
/**
 * Return element name in a CKEditor compatible format. Custom element names are not part of CKEditor data model,
 * instead they are a part of style guides. But the builder UI is expected to display custom element labels correctly.
 */
export declare function getContextName(context: Style.Context, resolveCustom?: boolean): string;
/** Extract element custom name from class name (for blocks and inlines) */
export declare function getContextCustomName(context: Style.Context): string;
/**
 * Get class name augmented with implicit class.
 *
 * @example
 *   `<section class="abc">` => `-section abc`
 *   `<section class="-section--special abc">` => `-section--special abc`
 */
export declare function getClassName(context: Style.Context, addImplicitClasses?: boolean): string;
export declare function reduceClassList(context: Style.Context, classList: string[], tagName?: string): string[];
//# sourceMappingURL=context.d.ts.map