import type * as Style from '../index.js';
export declare const isRule: (style: Style.Rule) => style is Style.Rule<"fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">;
export declare const isOfType: <Type extends "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">(style: Style.Rule, type: Type) => style is Style.Rule<Type>;
export declare function getClassName(style: Style.Rule, styles?: Style.Rule[]): string;
export declare function getDefaultClassName(style: Style.Rule): string;
export declare function getGenericSelector(style: Style.Rule, definitions?: Style.ElementDefinition[]): string[];
export declare function getElementDefinition(style: Style.Rule, definitions?: Style.ElementDefinition[]): Style.ElementDefinition<"block" | "inline" | "text">;
export declare function getSelector(style: Style.Rule, weight?: number[]): string;
export declare function getCollectionSlug(style: Style.Rule): string;
export declare function getSlugPart(style: Style.Rule): string;
export declare function getSlug(style: Style.Rule, styles: Style.Rule[]): string;
export declare function getEffectiveSlug(style: Style.Rule, styles: Style.Rule[]): string;
export declare function findComboInTheme(theme: Style.Rule<'theme'>, comboId: string): {
    id: string;
    refId: string;
    fillId: string;
    decorationId: string;
    spacingId: string;
    typographyId: string;
    paletteId: string;
    isDefault: boolean;
};
export declare function getThemeDefaultComboForType(theme: Style.Rule<'theme'>, category: keyof Style.Theme.Props): {
    id: string;
    refId: string;
    fillId: string;
    decorationId: string;
    spacingId: string;
    typographyId: string;
    paletteId: string;
    isDefault: boolean;
};
export declare function matchesSearchQuery(style: Style.Rule, query: string): boolean;
//# sourceMappingURL=rule.d.ts.map