import type * as Style from '../index.js';
import * as Rule from './rule.js';
export declare function filterByType<T extends Style.Type>(styles: Style.Rule[], type: T): Style.Rule<T>[];
export declare function filterByInstanceId(styles: Style.Rule[], instanceId: string): Style.Rule<"fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">[];
export declare const findByTypeAndId: <T extends "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">(rules: Style.Rule[], type: T, id: Style.RuleId) => Style.Rule<T>;
export declare const findById: <T extends "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">(rules: Style.Rule[], id: Style.RuleId) => Style.Rule<T>;
export declare const findBlank: <T extends "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">(rules: Style.Rule[], type: T) => Style.Rule<T>;
export declare const findBlankId: <T extends "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">(styles: Style.Rule[], type: T) => Style.RuleId;
export declare function findStyle<S extends Style.Rule>(styles: Style.Rule[], style: S): S;
export declare function findBySlug<T extends Style.Type>(styles: Style.Rule[], type: T, slug: string): Style.Rule<T>;
export declare function findByClassName(styles: Style.Rule[], className: string): Style.Rule<"fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">;
export declare function filterByCollectionId(styles: Style.Rule[], collectionId: string): Style.Rule<"fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">[];
export declare function filterCollectionsForType<T extends Style.Type>(styles: Style.Rule[], type: T): Style.RuleCollection<T>[];
export declare function getDefaultCollections(styles: Style.Rule[]): Style.RuleWithProps<"collection", {
    type: "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme";
}>[];
export declare function getElementDefinitions(styles: Style.Rule[]): Style.ElementDefinition<"block" | "inline" | "text">[];
export declare function join(styles: Style.Rule[], contextStyles: Style.Rule[]): Style.Rule<"fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme">[];
export declare function getAspectDefault<RuleAspect extends Style.Rule.Aspect>(styles: RuleAspect[]): RuleAspect;
export declare function getAspectDefaultOriginal<RuleAspect extends Style.Rule.Aspect>(styles: Style.Rule[], options: RuleAspect[]): RuleAspect;
export declare function getAspectCustomizationType(styles: Style.Rule[], style: Style.Rule.Aspect, options: Style.Rule.Aspect[]): "oneOff" | "default" | "allowed" | "nonAllowed";
/** Return element rule corresponding to given combo id */
export declare function findElementByComboId(styles: Style.Rule[], comboId: string): Style.Rule.Element;
/** Return theme where there is exists a combo with given id */
export declare function findThemeByComboId(styles: Style.Rule[], comboId: string): Style.Rule<'theme'>;
/** Return theme where there is exists a combo with given id */
export declare function findCombo(styles: Style.Rule[], comboId: string): Style.Theme.Combo;
/** In given theme find a combo with given id */
export declare function findElementByThemeAndComboId(styles: Style.Rule[], theme: Style.Rule<'theme'>, comboId: string): Style.Rule.Element;
//# sourceMappingURL=set.d.ts.map