import blanks from './blanks.js';
import breakpoints from './breakpoints.js';
import collections from './collections.js';
import elements from './elements.js';
import themes from './themes.js';
export { blanks, breakpoints, collections, elements, themes };
export declare const initial: (import("../rule.js").RuleWithProps<"breakpoint", {
    minWidth: number;
    maxWidth: number;
    query: string;
}> | import("../rule.js").RuleWithProps<"collection", {
    type: "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme";
}> | import("../rule.js").RuleWithProps<"theme", {
    blocks: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
    inlines: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
    texts: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
}>)[];
export declare const internal: (import("../rule.js").RuleWithProps<"fill", {
    backgroundImage: any;
    backgroundPositionX: import("../index.js").Length;
    backgroundPositionY: import("../index.js").Length;
    backgroundRepeat: import("../types/aspect/fill.js").BackgroundRepeat;
    backgroundSize: import("../types/aspect/fill.js").BackgroundSize;
    blur: import("../index.js").Length;
    opacity: number;
    backgroundColor: import("../index.js").ColorReference;
    backgroundGradient: {
        angle: number;
        stops: {
            color: import("../index.js").ColorReference | {
                red: number;
                green: number;
                blue: number;
                alpha: number;
            };
            start: import("../index.js").Length;
            end: import("../index.js").Length;
        }[];
    };
}> | import("../rule.js").RuleWithProps<"color", {
    red: number;
    green: number;
    blue: number;
    alpha: number;
}> | import("../rule.js").RuleWithProps<"collection", {
    type: "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme";
}> | import("../rule.js").RuleWithProps<"graphic", {
    url: any;
}> | import("../rule.js").RuleWithProps<"decoration", {
    boxShadowInset: boolean;
    boxShadowOffsetX: import("../index.js").Length;
    boxShadowOffsetY: import("../index.js").Length;
    boxShadowBlurRadius: import("../index.js").Length;
    boxShadowSpreadRadius: import("../index.js").Length;
    boxShadowColor: import("../index.js").ColorReference;
    borderTopLeftRadius: import("../index.js").Length;
    borderTopRightRadius: import("../index.js").Length;
    borderBottomLeftRadius: import("../index.js").Length;
    borderBottomRightRadius: import("../index.js").Length;
    borderStyle: import("../types/aspect/decoration.js").BorderStyle;
    borderColor: import("../index.js").ColorReference;
    borderLeftWidth: import("../index.js").Length;
    borderRightWidth: import("../index.js").Length;
    borderTopWidth: import("../index.js").Length;
    borderBottomWidth: import("../index.js").Length;
}> | import("../rule.js").RuleWithProps<"grid", {
    columns: {
        min: import("../index.js").Length;
        max: import("../index.js").Length;
    }[];
    rows: {
        min: import("../index.js").Length;
        max: import("../index.js").Length;
    }[];
    items: {
        order: number;
        from: {
            row: number;
            column: number;
        };
        to: {
            row: number;
            column: number;
        };
    }[];
}> | import("../rule.js").RuleWithProps<"layout", {
    flexWrap: boolean;
    columnCount: number;
    weights: number[];
    justifyContent: import("../types/aspect/layout.js").JustifyContent;
    alignItems: import("../types/aspect/layout.js").AlignItems;
}> | import("../rule.js").RuleWithProps<"palette", {
    textColor: import("../index.js").ColorReference;
    linkDecoration: import("../types/aspect/palette.js").LinkDecorationStyle;
}> | import("../rule.js").RuleWithProps<"spacing", {
    paddingTop: import("../index.js").Length;
    paddingBottom: import("../index.js").Length;
    paddingLeft: import("../index.js").Length;
    paddingRight: import("../index.js").Length;
    rowGap: import("../index.js").Length;
    columnGap: import("../index.js").Length;
}> | import("../rule.js").RuleWithProps<"typography", {
    fontVariant: any;
    allowBoldAndItalic: boolean;
    textTransform: any;
    base: {
        fontSize: import("../index.js").Length;
        lineHeight: import("../index.js").Length;
        letterSpacing: import("../index.js").Length;
        paragraphSpacing: import("../index.js").Length;
        iconSize: import("../index.js").Length;
    };
    overrides: Record<string, {
        fontSize: import("../index.js").Length;
        lineHeight: import("../index.js").Length;
        letterSpacing: import("../index.js").Length;
        paragraphSpacing: import("../index.js").Length;
        iconSize: import("../index.js").Length;
    }>;
}>)[];
export declare const all: (import("../rule.js").RuleWithProps<"fill", {
    backgroundImage: any;
    backgroundPositionX: import("../index.js").Length;
    backgroundPositionY: import("../index.js").Length;
    backgroundRepeat: import("../types/aspect/fill.js").BackgroundRepeat;
    backgroundSize: import("../types/aspect/fill.js").BackgroundSize;
    blur: import("../index.js").Length;
    opacity: number;
    backgroundColor: import("../index.js").ColorReference;
    backgroundGradient: {
        angle: number;
        stops: {
            color: import("../index.js").ColorReference | {
                red: number;
                green: number;
                blue: number;
                alpha: number;
            };
            start: import("../index.js").Length;
            end: import("../index.js").Length;
        }[];
    };
}> | import("../rule.js").RuleWithProps<"color", {
    red: number;
    green: number;
    blue: number;
    alpha: number;
}> | import("../rule.js").RuleWithProps<"breakpoint", {
    minWidth: number;
    maxWidth: number;
    query: string;
}> | import("../rule.js").RuleWithProps<"collection", {
    type: "fill" | "color" | "breakpoint" | "collection" | "font" | "graphic" | "decoration" | "dimensions" | "grid" | "layout" | "lines" | "media" | "palette" | "spacing" | "typography" | "block" | "inline" | "text" | "theme";
}> | import("../rule.js").RuleWithProps<"graphic", {
    url: any;
}> | import("../rule.js").RuleWithProps<"decoration", {
    boxShadowInset: boolean;
    boxShadowOffsetX: import("../index.js").Length;
    boxShadowOffsetY: import("../index.js").Length;
    boxShadowBlurRadius: import("../index.js").Length;
    boxShadowSpreadRadius: import("../index.js").Length;
    boxShadowColor: import("../index.js").ColorReference;
    borderTopLeftRadius: import("../index.js").Length;
    borderTopRightRadius: import("../index.js").Length;
    borderBottomLeftRadius: import("../index.js").Length;
    borderBottomRightRadius: import("../index.js").Length;
    borderStyle: import("../types/aspect/decoration.js").BorderStyle;
    borderColor: import("../index.js").ColorReference;
    borderLeftWidth: import("../index.js").Length;
    borderRightWidth: import("../index.js").Length;
    borderTopWidth: import("../index.js").Length;
    borderBottomWidth: import("../index.js").Length;
}> | import("../rule.js").RuleWithProps<"grid", {
    columns: {
        min: import("../index.js").Length;
        max: import("../index.js").Length;
    }[];
    rows: {
        min: import("../index.js").Length;
        max: import("../index.js").Length;
    }[];
    items: {
        order: number;
        from: {
            row: number;
            column: number;
        };
        to: {
            row: number;
            column: number;
        };
    }[];
}> | import("../rule.js").RuleWithProps<"layout", {
    flexWrap: boolean;
    columnCount: number;
    weights: number[];
    justifyContent: import("../types/aspect/layout.js").JustifyContent;
    alignItems: import("../types/aspect/layout.js").AlignItems;
}> | import("../rule.js").RuleWithProps<"palette", {
    textColor: import("../index.js").ColorReference;
    linkDecoration: import("../types/aspect/palette.js").LinkDecorationStyle;
}> | import("../rule.js").RuleWithProps<"spacing", {
    paddingTop: import("../index.js").Length;
    paddingBottom: import("../index.js").Length;
    paddingLeft: import("../index.js").Length;
    paddingRight: import("../index.js").Length;
    rowGap: import("../index.js").Length;
    columnGap: import("../index.js").Length;
}> | import("../rule.js").RuleWithProps<"typography", {
    fontVariant: any;
    allowBoldAndItalic: boolean;
    textTransform: any;
    base: {
        fontSize: import("../index.js").Length;
        lineHeight: import("../index.js").Length;
        letterSpacing: import("../index.js").Length;
        paragraphSpacing: import("../index.js").Length;
        iconSize: import("../index.js").Length;
    };
    overrides: Record<string, {
        fontSize: import("../index.js").Length;
        lineHeight: import("../index.js").Length;
        letterSpacing: import("../index.js").Length;
        paragraphSpacing: import("../index.js").Length;
        iconSize: import("../index.js").Length;
    }>;
}> | import("../rule.js").RuleWithProps<"theme", {
    blocks: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
    inlines: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
    texts: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
}>)[];
//# sourceMappingURL=index.d.ts.map