import type { Unformatted } from '../utils/value.js';
import type { Details } from './details.js';
import type { Props } from './props.js';
import { TypeDefinitions, TypesByCategory } from './definition.js';
export declare namespace Type {
    type Basic = TypesByCategory['basic'];
    type Aspect = TypesByCategory['aspect'];
    type Element = TypesByCategory['element'];
    type Concept = TypesByCategory['concept'];
    type ElementAspect<T extends Element = Element> = (typeof TypeDefinitions)[T]['aspects'][number];
    type ElementHasAspect<E extends Element, A extends Aspect> = E extends any ? A extends (typeof TypeDefinitions)[E]['aspects'][number] ? E : never : never;
    type ElementWithAspect<A extends Aspect> = ElementHasAspect<Type.Element, A>;
}
export type Type = keyof typeof TypeDefinitions;
export interface UnformattedRule<T extends Type = Type> {
    details?: Partial<Details>;
    props?: Unformatted<Props[T]>;
    type: Type;
}
//# sourceMappingURL=type.d.ts.map