import type * as Style from '../../index.js';
export declare enum BorderStyle {
    'solid' = "solid",
    'dashed' = "dashed",
    'dotted' = "dotted",
    'double' = "double"
}
export declare const Border: {
    (props?: any): {
        borderStyle: Style.TypeDefinitions.decoration.BorderStyle;
        borderColor: Style.ColorReference;
        borderLeftWidth: Style.Length;
        borderRightWidth: Style.Length;
        borderTopWidth: Style.Length;
        borderBottomWidth: Style.Length;
    };
    isValid(props: Border): boolean;
    Fix(props: Border, styles: Style.Rule[]): Border;
};
export type Border = ReturnType<typeof Border>;
export declare const BorderRadius: {
    (props?: any): {
        borderTopLeftRadius: Style.Length;
        borderTopRightRadius: Style.Length;
        borderBottomLeftRadius: Style.Length;
        borderBottomRightRadius: Style.Length;
    };
    isValid(props: BorderRadius): boolean;
    Fix(props: BorderRadius, styles: Style.Rule[]): BorderRadius;
};
export type BorderRadius = ReturnType<typeof BorderRadius>;
export declare const BoxShadow: {
    (props?: any): {
        boxShadowInset: boolean;
        boxShadowOffsetX: Style.Length;
        boxShadowOffsetY: Style.Length;
        boxShadowBlurRadius: Style.Length;
        boxShadowSpreadRadius: Style.Length;
        boxShadowColor: Style.ColorReference;
    };
    isValid(props: BoxShadow): boolean;
    Fix(props: BoxShadow, styles: Style.Rule[]): BoxShadow;
};
export type BoxShadow = ReturnType<typeof BoxShadow>;
export declare const Props: (props?: any) => {
    boxShadowInset: boolean;
    boxShadowOffsetX: Style.Length;
    boxShadowOffsetY: Style.Length;
    boxShadowBlurRadius: Style.Length;
    boxShadowSpreadRadius: Style.Length;
    boxShadowColor: Style.ColorReference;
    borderTopLeftRadius: Style.Length;
    borderTopRightRadius: Style.Length;
    borderBottomLeftRadius: Style.Length;
    borderBottomRightRadius: Style.Length;
    borderStyle: Style.TypeDefinitions.decoration.BorderStyle;
    borderColor: Style.ColorReference;
    borderLeftWidth: Style.Length;
    borderRightWidth: Style.Length;
    borderTopWidth: Style.Length;
    borderBottomWidth: Style.Length;
};
export type Props = ReturnType<typeof Props>;
export declare const fix: (props: Props, styles: Style.Rule[]) => Props;
export declare const validate: () => boolean;
export declare const label = "Decoration";
export declare const type = "decoration";
export declare const property = "decorationIds";
export declare const forms: ({
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        borderTopLeftRadius: Style.Length;
        borderTopRightRadius: Style.Length;
        borderBottomLeftRadius: Style.Length;
        borderBottomRightRadius: Style.Length;
    };
    validate: (props: BorderRadius) => boolean;
} | {
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        boxShadowInset: boolean;
        boxShadowOffsetX: Style.Length;
        boxShadowOffsetY: Style.Length;
        boxShadowBlurRadius: Style.Length;
        boxShadowSpreadRadius: Style.Length;
        boxShadowColor: Style.ColorReference;
    };
    validate: (props: BoxShadow) => boolean;
} | {
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        borderStyle: Style.TypeDefinitions.decoration.BorderStyle;
        borderColor: Style.ColorReference;
        borderLeftWidth: Style.Length;
        borderRightWidth: Style.Length;
        borderTopWidth: Style.Length;
        borderBottomWidth: Style.Length;
    };
    validate: (props: Border) => boolean;
})[];
export declare const category = "aspect";
export declare const summarize: (props: Props, styles?: Style.Rule[], formId?: string) => string;
//# sourceMappingURL=decoration.d.ts.map