import type * as Style from '../../index.js';
export declare const Color: {
    (props?: any): {
        backgroundColor: Style.ColorReference;
        backgroundGradient: {
            angle: number;
            stops: {
                color: Style.ColorReference | {
                    red: number;
                    green: number;
                    blue: number;
                    alpha: number;
                };
                start: Style.Length;
                end: Style.Length;
            }[];
        };
    };
    isValid({ backgroundColor, backgroundGradient }: Color): boolean;
};
export type Color = ReturnType<typeof Color>;
export declare const Effects: {
    (props?: any): {
        blur: Style.Length;
        opacity: number;
    };
    isValid({ blur, opacity }: Effects): boolean;
};
export type Effects = ReturnType<typeof Effects>;
export declare enum BackgroundRepeat {
    'repeat' = "repeat",
    'no-repeat' = "no-repeat",
    'repeat-x' = "repeat-x",
    'repeat-y' = "repeat-y"
}
export declare enum BackgroundSize {
    'cover' = "cover",
    'contain' = "contain"
}
export declare const Image: {
    (props?: any): {
        backgroundImage: any;
        backgroundPositionX: Style.Length;
        backgroundPositionY: Style.Length;
        backgroundRepeat: Style.TypeDefinitions.fill.BackgroundRepeat;
        backgroundSize: Style.TypeDefinitions.fill.BackgroundSize;
    };
    isValid({ backgroundImage }: Image): boolean;
};
export type Image = ReturnType<typeof Image>;
export declare const Props: (props?: any) => {
    backgroundImage: any;
    backgroundPositionX: Style.Length;
    backgroundPositionY: Style.Length;
    backgroundRepeat: Style.TypeDefinitions.fill.BackgroundRepeat;
    backgroundSize: Style.TypeDefinitions.fill.BackgroundSize;
    blur: Style.Length;
    opacity: number;
    backgroundColor: Style.ColorReference;
    backgroundGradient: {
        angle: number;
        stops: {
            color: Style.ColorReference | {
                red: number;
                green: number;
                blue: number;
                alpha: number;
            };
            start: Style.Length;
            end: Style.Length;
        }[];
    };
};
export type Props = ReturnType<typeof Props>;
export declare const fix: (props: Props, styles: Style.Rule[]) => Props;
export declare const validate: () => boolean;
export declare const type = "fill";
export declare const label = "Fill";
export declare const category = "aspect";
export declare const property = "fillIds";
export declare const forms: ({
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        backgroundColor: Style.ColorReference;
        backgroundGradient: {
            angle: number;
            stops: {
                color: Style.ColorReference | {
                    red: number;
                    green: number;
                    blue: number;
                    alpha: number;
                };
                start: Style.Length;
                end: Style.Length;
            }[];
        };
    };
    validate: ({ backgroundColor, backgroundGradient }: Color) => boolean;
} | {
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        blur: Style.Length;
        opacity: number;
    };
    validate: ({ blur, opacity }: Effects) => boolean;
})[];
export declare const summarize: (props: Props, styles?: Style.Rule[], formId?: string) => string;
//# sourceMappingURL=fill.d.ts.map