import type * as Style from '../../index.js';
export declare const Cell: ({ row, column }?: {
    row?: any;
    column?: any;
}) => {
    row: number;
    column: number;
};
export declare const CellSpan: ({ from, to }?: {
    from?: any;
    to?: any;
}) => {
    from: {
        row: number;
        column: number;
    };
    to: {
        row: number;
        column: number;
    };
};
export declare const CellSize: ({ min, max }?: {
    min?: any;
    max?: any;
}) => {
    min: Style.Length;
    max: Style.Length;
};
export declare const Item: ({ from, to, order }: {
    from?: any;
    to?: any;
    order?: number;
}) => {
    order: number;
    from: {
        row: number;
        column: number;
    };
    to: {
        row: number;
        column: number;
    };
};
export declare const Row: ({ min, max }: {
    min?: any;
    max?: any;
}) => {
    min: Style.Length;
    max: Style.Length;
};
export declare const default12Columns: {
    min: Style.Length;
    max: Style.Length;
}[];
export declare const default5Rows: {
    min: Style.Length;
    max: Style.Length;
}[];
export declare const Props: (props?: any) => {
    columns: {
        min: Style.Length;
        max: Style.Length;
    }[];
    rows: {
        min: Style.Length;
        max: Style.Length;
    }[];
    items: {
        order: number;
        from: {
            row: number;
            column: number;
        };
        to: {
            row: number;
            column: number;
        };
    }[];
};
export type Item = ReturnType<typeof Item>;
export type Cell = ReturnType<typeof Cell>;
export type CellSpan = ReturnType<typeof CellSpan>;
export type CellSize = ReturnType<typeof CellSize>;
export type Props = ReturnType<typeof Props>;
export declare const validate: () => boolean;
export declare const fix: (props: Props, styles: Style.Rule[]) => {
    columns: {
        min: Style.Length;
        max: Style.Length;
    }[];
    rows: {
        min: Style.Length;
        max: Style.Length;
    }[];
    items: {
        order: number;
        from: {
            row: number;
            column: number;
        };
        to: {
            row: number;
            column: number;
        };
    }[];
};
export declare const label = "Grid";
export declare const type = "grid";
export declare const property = "gridIds";
export declare const category = "aspect";
export declare const summarize: (props: Props, styles?: Style.Rule[], formId?: string) => string;
//# sourceMappingURL=grid.d.ts.map