import type * as Style from '../../index.js';
export declare enum JustifyContent {
    'stretch' = "stretch",
    'flex-start' = "flex-start",
    'center' = "center",
    'space-between' = "space-between",
    'space-evenly' = "space-evenly",
    'flex-end' = "flex-end"
}
export declare enum AlignItems {
    'stretch' = "stretch",
    'flex-start' = "flex-start",
    'center' = "center",
    'flex-end' = "flex-end"
}
export declare const Props: (props?: any) => {
    flexWrap: boolean;
    columnCount: number;
    weights: number[];
    justifyContent: Style.TypeDefinitions.layout.JustifyContent;
    alignItems: Style.TypeDefinitions.layout.AlignItems;
};
export type Props = ReturnType<typeof Props>;
export declare const validate: () => boolean;
export declare const fix: (props: Props, styles: Style.Rule[]) => {
    flexWrap: boolean;
    columnCount: number;
    weights: number[];
    justifyContent: Style.TypeDefinitions.layout.JustifyContent;
    alignItems: Style.TypeDefinitions.layout.AlignItems;
};
export declare const type = "layout";
export declare const property = "layoutIds";
export declare const label = "Layout & Alignment";
export declare const category = "aspect";
export declare const summarize: (props: Props, styles?: Style.Rule[], formId?: string) => string;
//# sourceMappingURL=layout.d.ts.map