import type * as Style from '../../index.js';
export declare enum Fit {
    'cover' = "cover",
    'contain' = "contain",
    'fill' = "fill",
    'none' = "none"
}
export declare const Props: (props?: any) => {
    width: Style.Length;
    height: Style.Length;
    objectFit: Style.TypeDefinitions.media.Fit;
    objectPositionX: Style.Length;
    objectPositionY: Style.Length;
};
export type Props = ReturnType<typeof Props>;
export declare const validate: () => boolean;
export declare const fix: (props: Props, styles: Style.Rule[]) => {
    width: Style.Length;
    height: Style.Length;
    objectFit: Style.TypeDefinitions.media.Fit;
    objectPositionX: Style.Length;
    objectPositionY: Style.Length;
};
export declare const label = "Media sizing";
export declare const type = "media";
export declare const property = "mediaIds";
export declare const category = "aspect";
export declare const summarize: (props: Props, styles?: Style.Rule[], formId?: string) => Style.TypeDefinitions.media.Fit;
//# sourceMappingURL=media.d.ts.map