import { Unformatted } from '../../../utils/value.js';
import type * as Style from '../../index.js';
export declare const normalizeReusableTypographySize: (props?: any) => {
    fontSize: Style.Length;
    lineHeight: Style.Length;
    letterSpacing: Style.Length;
    paragraphSpacing: Style.Length;
    iconSize: Style.Length;
};
export declare const Size: {
    (props?: Unformatted<Size>): {
        fontSize: Style.Length;
        lineHeight: Style.Length;
        letterSpacing: Style.Length;
        paragraphSpacing: Style.Length;
        iconSize: Style.Length;
    };
    isValid(props: Size): boolean;
};
export type Size = ReturnType<typeof normalizeReusableTypographySize>;
export declare const Props: (props?: any) => {
    fontVariant: any;
    allowBoldAndItalic: boolean;
    textTransform: any;
    base: {
        fontSize: Style.Length;
        lineHeight: Style.Length;
        letterSpacing: Style.Length;
        paragraphSpacing: Style.Length;
        iconSize: Style.Length;
    };
    overrides: Record<string, {
        fontSize: Style.Length;
        lineHeight: Style.Length;
        letterSpacing: Style.Length;
        paragraphSpacing: Style.Length;
        iconSize: Style.Length;
    }>;
};
export declare const fix: (props: Props, styles: Style.Rule[]) => Props;
export declare const validate: () => boolean;
export type Props = ReturnType<typeof Props>;
export declare const label = "Typography";
export declare const type = "typography";
export declare const property = "typographyIds";
export declare const category = "aspect";
export declare const forms: ({
    id: string;
    label: string;
    extractProperties: ({ fontVariant }: Props) => {
        fontVariant: any;
    };
    validate: ({ fontVariant }: Partial<Props>) => boolean;
} | {
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        base: {
            fontSize: Style.Length;
            lineHeight: Style.Length;
            letterSpacing: Style.Length;
            paragraphSpacing: Style.Length;
            iconSize: Style.Length;
        };
    };
    validate: (props: Props) => boolean;
})[];
export declare const summarize: (props: Props, styles?: Style.Rule[], formId?: string) => string;
//# sourceMappingURL=typography.d.ts.map