import { Unformatted } from '../../../utils/value.js';
import type * as Style from '../../index.js';
import { RuleId } from '../../values/index.js';
export declare enum Platform {
    'google' = "google",
    'adobe' = "adobe",
    'custom' = "custom"
}
export declare enum VariantStyle {
    'normal' = "normal",
    'italic' = "italic"
}
declare const normalizeFontVariant: (variant?: any) => {
    name: string;
    familyName: string;
    weight: number;
    style: Style.TypeDefinitions.font.VariantStyle;
};
export type Variant = ReturnType<typeof normalizeFontVariant>;
export declare const FontVariant: (variant: Unformatted<Variant>) => {
    name: string;
    familyName: string;
    weight: number;
    style: Style.TypeDefinitions.font.VariantStyle;
};
export interface VariantReference {
    id: RuleId;
    name: string;
}
export declare const VariantReference: {
    (props: Unformatted<VariantReference>): Style.TypeDefinitions.font.VariantReference;
    Fix(fontVariantReference: VariantReference, styles: Style.Rule[]): VariantReference;
};
export declare const Props: (props?: any) => {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
};
export type Props = ReturnType<typeof Props>;
export declare const fix: (props: Props, styles: Style.Rule[]) => Props;
export declare const validate: () => boolean;
export declare const type = "font";
export declare const category = "basic";
export declare const label = "Font";
export declare const forms: {
    id: string;
    label: string;
    extractProperties: (props: Props) => {
        familyName: string;
        platform: Style.TypeDefinitions.font.Platform;
        variants: {
            name: string;
            familyName: string;
            weight: number;
            style: Style.TypeDefinitions.font.VariantStyle;
        }[];
    };
    validate: () => boolean;
}[];
export {};
//# sourceMappingURL=font.d.ts.map