import { Unformatted } from '../../../utils/value.js';
import type * as Style from '../../index.js';
export declare const NormalizeCombo: (props?: any) => {
    id: string;
    refId: string;
    fillId: string;
    decorationId: string;
    spacingId: string;
    typographyId: string;
    paletteId: string;
    isDefault: boolean;
};
export type Combo = ReturnType<typeof NormalizeCombo>;
export declare const Combo: {
    (props?: Unformatted<Combo>): {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    };
    Fix(props: Combo, styles: Style.Rule[]): Combo;
};
export declare const Props: (props?: any) => {
    blocks: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
    inlines: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
    texts: {
        id: string;
        refId: string;
        fillId: string;
        decorationId: string;
        spacingId: string;
        typographyId: string;
        paletteId: string;
        isDefault: boolean;
    }[];
};
export declare const validate: () => boolean;
export type Props = ReturnType<typeof Props>;
export declare const fix: ({ blocks, texts, inlines }: Props, styles: Style.Rule[]) => Props;
export declare const label = "Theme";
export declare const type = "theme";
export declare const category = "concept";
//# sourceMappingURL=theme.d.ts.map