import type { Unformatted } from '../../utils/value.js';
import type * as Style from '../index.js';
import { Gradient } from './gradient.js';
export interface ColorDefinition {
    color?: ColorRGB;
}
export declare const ColorDefinition: (props?: any) => {
    color: {
        red: number;
        green: number;
        blue: number;
        alpha: number;
    };
};
export declare const ColorRGBnormalize: (props?: any) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
};
export type ColorRGB = ReturnType<typeof ColorRGBnormalize>;
export declare const ColorRGB: {
    (props: Unformatted<ColorRGB>): {
        red: number;
        green: number;
        blue: number;
        alpha: number;
    };
    isValid(color: ColorRGB): boolean;
};
export declare const rgbaToString: (color: ColorRGB) => string;
export declare function isColorReference(color: any): color is ColorReference;
export declare function isColor(color: any): any;
export declare const gradientToBackgroundColor: (backgroundGradient: Gradient) => Style.ColorReference | {
    red: number;
    green: number;
    blue: number;
    alpha: number;
};
export declare const backgroundColorToGradient: (backgroundColor: ColorRGB | ColorReference) => Gradient;
export declare const emptyColorReference: ColorReference;
export declare const findColor: (colorReference: ColorReference, colors: Style.Rule<'color'>[]) => {
    colorGroup: Style.Rule<'color'>;
    colorDefinition: ColorDefinition;
};
export declare const findAlpha: (colorReference: ColorReference, colors: Style.Rule<'color'>[]) => number;
export interface ColorReference {
    alpha: number | null;
    id: Style.RuleId;
}
export declare const ColorReference: {
    (color?: any): ColorReference;
    isValid(color: ColorReference | ColorRGB): boolean;
};
export declare const areSameColors: (firstColor: ColorReference, secondColor: ColorReference) => boolean;
//# sourceMappingURL=color.d.ts.map