import type { SDKCollection } from '../core/collection.js';
import type { SDKModel } from '../core/model.js';
/** Defines accessor over property, stores original value in _value Both properties need to be typed * */
export declare function defineAccessor<T = any>(target: T, name: keyof typeof target & string, settings?: TypedPropertyDescriptor<any>, hiddenProps?: string[]): void;
/** Define setter swapping items in collection */
export declare function defineCollectionAccessor<T>(target: T, name: keyof typeof target & string, collection: SDKCollection<any>, settings?: TypedPropertyDescriptor<any>, hiddenProps?: string[]): SDKCollection<any, any, unknown, Partial<any>, any>;
/** Implicit params are not overwritable, and are passed from collection dynamically instead* */
export declare function defineImplicitAccessors<M extends SDKModel, T = M extends SDKModel<infer T> ? T : never>(target: M, getParams: (model: M) => Partial<T>, hiddenProps?: string[]): void;
//# sourceMappingURL=accessors.d.ts.map