import * as Style from '../style/index.js';
export type UnformattedLength = Style.Length | number | string;
export type ProducedRules = any[] | ((context: Context) => ProducedRules);
declare type ASTBlock = [type: string, value: string | string[], ...children: any[]];
declare type AST = any;
export declare function produceStyle(style: Style.Rule): (string | any[] | ((context: Context) => ProducedRules))[][];
export declare function produceRule(style: Style.Rule, weight?: number[]): (string | any[] | ((context: Context) => ProducedRules))[];
export declare function produceProps<T extends Style.Type>(type: T, props: any): (string | string[])[] | ProducedRules[];
interface Context {
    rules?: Style.Rule[];
    customRules?: Record<Style.Type, Style.Rule>;
    prelude?: boolean;
    bundle?: boolean;
    [key: string]: any;
}
export declare const produceDecorationProps: (props: Style.Decoration.Props) => (string | (string | Style.Length)[] | (string | (string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}))[])[])[][];
export declare const produceTypographyProps: (props: Style.Typography.Props) => any[][];
export declare const produceMediaProps: (props: Style.Media.Props) => (string | (string | (string | Style.Length)[])[] | (string | (string | (string | (string | Style.Length)[])[])[] | (string | boolean | (string | number)[])[])[])[][];
export declare const produceFontVariantProps: (props: Style.Font.Variant | Style.Font.VariantReference) => (string | ((context: Context) => {
    name: string;
    familyName: string;
    weight: number;
    style: Style.TypeDefinitions.font.VariantStyle;
}))[][];
export declare const produceSpacingProps: (props: Style.Spacing.Props) => ((string | (string | Style.Length)[])[] | (string | (string | (string | Style.Length)[])[])[])[];
export declare const producePaletteProps: (props: Style.Palette.Props) => (string | (string | (string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}))[])[])[][];
export declare const produceFontSetting: (props: Style.Typography.Size, dontOverwrite?: boolean) => (string | (string | Style.Length)[])[][];
export declare const produceFontProps: (props: Style.Font.Props) => string[][];
export declare const produceDimensionsProps: (props: Style.Dimensions.Props) => (string | (string | Style.Length)[])[][];
export declare const produceBreakpointProps: (props: Style.Breakpoint.Props) => (string | (string | string[])[])[][];
export declare const produceThemeComboProps: (props: Style.Theme.Combo, elementType: Style.Type.Element) => (string | ProducedRules)[][];
export declare const produceThemeProps: (props: Style.Theme.Props) => (string | (string | ProducedRules)[])[][];
export declare const produceLinesProps: (props: Style.Lines.Props) => (string | boolean | (string | number)[])[][];
export declare const produceGridProps: (props: Style.Grid.Props) => (string | (string | number)[])[][];
export declare const produceLayoutProps: (props: Style.Layout.Props) => (string | (string | number)[])[][];
export declare const produceFillProps: (props: Style.Fill.Props) => ((string | number)[] | (string | (string | (string | (string | (string | string[])[] | (string | Style.Length)[] | ((context: Context) => string) | (string | ((context: Context) => string))[])[][] | (string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}) | (string | number | ((string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}))[] | (string | Style.Length)[])[])[])[][] | (string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}) | (string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}))[])[][])[])[])[])[];
export declare function produceDetails(type: string, { id, title, description, exampleContent, instanceId }: Style.Details): string[];
export declare function produceColorProps(color: Style.Color.Props): (string | ((context: Context) => {
    red: number;
    green: number;
    blue: number;
    alpha: number;
} | {
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
} | {
    alpha: number;
    familyName: string;
    platform: Style.TypeDefinitions.font.Platform;
    variants: {
        name: string;
        familyName: string;
        weight: number;
        style: Style.TypeDefinitions.font.VariantStyle;
    }[];
}))[][];
export declare function produceGraphicProps(props: Style.Graphic.Props): (string | string[])[];
export declare function getSelectorWeight(ids: number, classes: number, tags: number): string;
export declare function getSelectorWithWeight(selector: string): string;
export declare const commands: {
    import: (src: string) => string[];
    length: (length: UnformattedLength, defaultValue?: string) => string[];
    or: (...args: any[]) => any;
    'non-empty': (...args: any[]) => any;
    keyword: (value: any, defaultValue: any) => any;
    comment: (...children: any[]) => (string | any[])[];
    'comment-single-line': (...children: any[]) => string[];
    breakpoint: (name: any[]) => any[];
    property: (name: string, ...values: any[]) => string[];
    fontVariant: (variant: Style.Font.Variant) => string[];
    minmax: (value: Style.Grid.CellSize) => string;
    min: (a: Style.Length, b: Style.Length) => string;
    lengthWithoutPercentage: (length: Style.Length, defaultValue?: string) => string[];
    max: (a: Style.Length, b: Style.Length) => string;
    color: (color: Style.Color.Props) => string[];
    'font-face': (...children: any[]) => (string | any[])[];
    rule: (selector: string, ...children: any[]) => any[];
    media: (query: string, ...children: any[]) => any[];
    extend: (...selectors: string[]) => string[];
    if: (condition: any, ...children: any[]) => any[];
    unless: (condition: any, ...children: any[]) => any[];
    'comma-separated': (...children: any[]) => string;
    'space-separated': (...children: any[]) => string;
    gradient: (angle: Style.Gradient['angle'], ...stops: string[]) => string[];
    image: (url: string) => string[];
    string: (value: string) => string;
};
export declare function isBlock(ast: any): ast is ASTBlock;
export declare function unnest(ast: any, isInside?: boolean, flattenRules?: boolean): any[];
export declare function unnestBlock(ast: ASTBlock, flattenRules?: boolean): any[];
export declare function reify(ast: AST, context?: Context): AST;
export declare function process(ast: AST, isInside?: boolean): any;
export declare function simplify(ast: AST): any;
export declare function stringify(ast: any, context?: Context): string;
export declare function concat(lines: (string | null | undefined | boolean | string[])[], identation?: string): string;
export type RuleAST = ['rule', string[], ...AnyAST[]];
export type MediaAST = ['media', string, ...AnyAST[]];
export type CommentAST = ['comment', string];
export type ExtendAST = ['extend', string];
export type ImportAST = ['import', string];
export type PropertyAST = ['property', string, AST | KeywordAST];
export type LengthAST = ['length', {
    value: number;
    unit: string;
}];
export type StringAST = ['string', string];
export type FontFaceAST = ['font-face', ...(PropertyAST | CommentAST)[]];
export type ErrorAST = ['error', string, number, number, string];
export type KeywordAST = string;
export type AnyAST = LeafAST | BranchAST;
export type TreeAST = AnyAST[];
export type LeafAST = CommentAST | LengthAST | StringAST | PropertyAST | ErrorAST | ExtendAST | ImportAST;
export type BranchAST = RuleAST | MediaAST | FontFaceAST;
type FontVariant = {
    name: string;
    familyName: string;
    weight: 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900;
    style: 'italic' | 'normal';
    unicodeRange?: string;
    src?: string;
};
export declare function getFonts(ast: TreeAST): FontVariant[];
export declare function parse(input: string): TreeAST;
export declare function toText(styles: Style.Rule[], context?: Context): string;
export declare function optimize(css: string): Promise<string>;
export {};
//# sourceMappingURL=css.d.ts.map