/**
 * Forked from fast-deep-equals to avoid comparing constructors as it breaks comparing model with raw data. Addition it
 * adds ability to ignore props
 */
export declare function isDeepEquals(a: unknown, b: unknown, ignoreProps?: string[]): boolean;
export declare const objectKeysShallowCompare: (a: any, b: any) => boolean;
interface IObject {
    [key: string]: any;
}
type TUnionToIntersection<U> = (U extends any ? (k: U) => void : never) extends (k: infer I) => void ? I : never;
export declare const isObject: (obj: any) => boolean;
/** Recursively merge objects into a new object. Arrays are overwritten */
export declare function mergeDeep<T extends IObject[]>(...objects: T): TUnionToIntersection<T[number]>;
/** Recursively merge objects into a new object. Combine arrays  */
export declare function combineDeep<T extends IObject[]>(...objects: T): TUnionToIntersection<T[number]>;
export declare function mixDeep<T extends IObject[]>(...objects: T): TUnionToIntersection<[{}, ...T][number]>;
/** MUTATION: Recursively merge objects into the first one as a target */
export declare function assignDeep<T extends IObject[]>(...objects: T): TUnionToIntersection<T[number]>;
/** Recursively clone object */
export declare function cloneDeep<T extends unknown>(object: T): T;
export declare const DELETE_PROPERTY: unique symbol;
export {};
//# sourceMappingURL=object.d.ts.map