export type ExtractKeys<T, K extends keyof T> = T extends {
    [P in K]: infer U;
} ? U extends keyof any ? U : never : never;
export type GroupByPropertyValue<T, K extends keyof T, V extends keyof any> = {
    [P in V]: Extract<T, Record<K, P>>;
};
export type GroupBy<T, K extends keyof T> = GroupByPropertyValue<T, K, ExtractKeys<T, K>>;
export type Optional<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
export type Required<T, K extends keyof T> = Pick<T, K> & Partial<Omit<T, K>>;
export type RequiredKeys<Interface, DefaultFN extends (...args: any) => any, extras extends keyof Interface = never> = Optional<Interface, (keyof ReturnType<DefaultFN> & keyof Interface) | extras>;
/** Make keys required* */
export type Atleast<Interface, Keys extends keyof Interface> = Optional<Interface, keyof Omit<Interface, Keys>>;
//# sourceMappingURL=typescript.d.ts.map